> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an insight silence

> Update an insight silence for a specific domain.



## OpenAPI

````yaml /api-reference/services_documented/waap_api.yaml patch /waap/v1/domains/{domain_id}/insight-silences/{silence_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – WAAP API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: WAAP Service
    x-displayName: WAAP Service
  - name: Domains
    x-displayName: Domains
  - name: Policies
    x-displayName: Policies
  - name: Analytics
    x-displayName: Analytics
  - name: Custom Page Sets
    x-displayName: Custom Page Sets
  - name: Custom Rules
    x-displayName: Custom Rules
  - name: Filter Templates
    x-displayName: Filter Templates
  - name: Firewall Rules
    x-displayName: Firewall Rules
  - name: Advanced Rules
    x-displayName: Advanced Rules
  - name: Tags
    x-displayName: Tags
  - name: Network Organizations
    x-displayName: Network Organizations
  - name: API Discovery
    x-displayName: API Discovery
  - name: IP Spotlight
    x-displayName: IP Spotlight
  - name: Security Insights
    x-displayName: Security Insights
  - name: IP Reputation
    x-displayName: IP Reputation
paths:
  /waap/v1/domains/{domain_id}/insight-silences/{silence_id}:
    patch:
      tags:
        - Security Insights
      summary: Update an insight silence
      description: Update an insight silence for a specific domain.
      operationId: >-
        update_insight_silence_v1_domains__domain_id__insight_silences__silence_id__patch
      parameters:
        - name: domain_id
          in: path
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            description: The domain ID
            title: Domain Id
          description: The domain ID
        - name: silence_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: A generated unique identifier for the silence
            title: Silence Id
          description: A generated unique identifier for the silence
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateInsightSilencePayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InsightSilence'
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: http-bad-request
                title: Bad Request
                status: 400
                detail: 'Invalid domain name: '''''''''
          description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/problem+json:
              example:
                detail: Auth token is missing or invalid
        '403':
          description: Unauthenticated
          content:
            application/problem+json:
              example:
                detail: Permission denied
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: http-not-found
                title: Not Found
                status: 404
                detail: The resource is not found
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APICompositeError'
              example:
                type: request-validation-failed
                title: Request validation error.
                status: 422
                detail: One or more fields have validation errors.
                errors:
                  - loc:
                      - body
                      - name
                    detail: Input should be a valid string
                  - loc:
                      - body
                      - date
                    detail: Field required
                  - loc:
                      - query
                      - limit
                    detail: Field required
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                type: internal-server-error
                title: Internal server error.
                status: 500
                detail: >-
                  An unexpected condition was encountered which prevented the
                  server from fulfilling the request.
          description: Internal Server Error
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from datetime import datetime
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            waap_insight_silence = client.waap.domains.insight_silences.update(
                silence_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                domain_id=1,
                author="author",
                comment="comment",
                expire_at=datetime.fromisoformat("2019-12-27T18:11:19.117"),
            )
            print(waap_insight_silence.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\t\"time\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/waap\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\twaapInsightSilence, err := client.Waap.Domains.InsightSilences.Update(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\twaap.DomainInsightSilenceUpdateParams{\n\t\t\tDomainID: 1,\n\t\t\tAuthor:   \"author\",\n\t\t\tComment:  \"comment\",\n\t\t\tExpireAt: gcore.Time(time.Now()),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", waapInsightSilence.ID)\n}\n"
components:
  schemas:
    UpdateInsightSilencePayload:
      properties:
        labels:
          additionalProperties:
            type: string
          type: object
          title: Labels
          description: >-
            A hash table of label names and values that apply to the insight
            silence
        comment:
          type: string
          maxLength: 180
          title: Comment
          description: A comment explaining the reason for the silence
        author:
          type: string
          maxLength: 180
          title: Author
          description: The author of the silence
        expire_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expire At
          description: The date and time the silence expires in ISO 8601 format
      type: object
      required:
        - comment
        - author
        - expire_at
      title: UpdateInsightSilencePayload
    InsightSilence:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: A generated unique identifier for the silence
        insight_type:
          type: string
          title: Insight Type
          description: The slug of the insight type
        labels:
          additionalProperties:
            type: string
          type: object
          title: Labels
          description: >-
            A hash table of label names and values that apply to the insight
            silence
        comment:
          type: string
          title: Comment
          description: A comment explaining the reason for the silence
        author:
          type: string
          title: Author
          description: The author of the silence
        expire_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expire At
          description: The date and time the silence expires in ISO 8601 format
      type: object
      required:
        - id
        - insight_type
        - labels
        - comment
        - author
        - expire_at
      title: InsightSilence
    APIError:
      properties:
        type:
          type: string
          title: Type
          description: A URI identifier that categorizes the type of error.
        title:
          type: string
          title: Title
          description: A brief, human-readable title for the error.
        status:
          type: integer
          title: Status
          description: The HTTP status code applicable to this error.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: A detailed human-readable explanation of the error.
      type: object
      required:
        - type
        - title
        - status
        - detail
      title: APIError
    APICompositeError:
      properties:
        type:
          type: string
          title: Type
          description: A URI identifier that categorizes the type of error.
        title:
          type: string
          title: Title
          description: A brief, human-readable title for the error.
        status:
          type: integer
          title: Status
          description: The HTTP status code applicable to this error.
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          description: A detailed human-readable explanation of the error.
        errors:
          items:
            $ref: '#/components/schemas/APIFieldError'
          type: array
          title: Errors
          description: A list of detailed errors for individual fields.
      type: object
      required:
        - type
        - title
        - status
        - detail
        - errors
      title: APICompositeError
    APIFieldError:
      properties:
        loc:
          anyOf:
            - items:
                anyOf:
                  - type: integer
                  - type: string
              type: array
            - {}
          title: Loc
          description: The location of the field or a character number causing the error.
        detail:
          type: string
          title: Detail
          description: A human-readable message describing the error.
      type: object
      required:
        - loc
        - detail
      title: APIFieldError
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````